ShareUpdateService (gCube Share Updates Portlet 0.2.0-SNAPSHOT API)
Date: 2013-04-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.shareupdates.client
Interface ShareUpdateService

All Superinterfaces:
  com.google.gwt.user.client.rpc.RemoteService

All Known Implementing Classes:
  ShareUpdateServiceImpl

    @RemoteServiceRelativePath(value="shareupdateServlet")
    public interface ShareUpdateService

extends com.google.gwt.user.client.rpc.RemoteService

The client side stub for the RPC service.

Method Summary
`LinkPreview` | `checkLink(String linkToCheck)`
`UserSettings` | `getUserSettings()`
`org.gcube.portal.databook.shared.ClientFeed` | `share(String feedText, org.gcube.portal.databook.shared.FeedType type, org.gcube.portal.databook.shared.PrivacyLevel pLevel, String vreName, String linkTitle, String linkDesc, String url, String urlThumbnail, String host)`

Method Detail

### share

    org.gcube.portal.databook.shared.ClientFeed share(String feedText,
                                                      org.gcube.portal.databook.shared.FeedType type,
                                                      org.gcube.portal.databook.shared.PrivacyLevel pLevel,
                                                      String vreName,
                                                      String linkTitle,
                                                      String linkDesc,
                                                      String url,
                                                      String urlThumbnail,
                                                      String host)

### getUserSettings

    UserSettings getUserSettings()

### checkLink

    LinkPreview checkLink(String linkToCheck)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.